<?php
/**
 * plugin FreepapeR 2
 * Visionneuse PDF
 *
 * Auteurs :
 * Franck Ruzzin
 * le 30/07/2010
 *
 **/
 

/*
* Nom du rpertoire contenant les sites mutualises (la valeur par dfaut est 'sites')
*/
define('_REPERTOIRE_MUT','sites');
 
function getBalise($p,$ext){
	// Transforme l'ecriture du deuxieme param {truc=chose,machin=chouette} en
	// {truc=chose}{machin=chouette}... histoire de simplifier l'ecriture pour
	// le webmestre : #MODELE{emb}{autostart=true,truc=1,chose=chouette}
	if (version_compare($GLOBALS['spip_version_affichee'],'2.0.8','<=')) {
		if ($p->param[0]) {
			while (count($p->param[0])>2){
				$p->param[]=array(0=>NULL,1=>array_pop($p->param[0]));
			}
		}
		$champ = phraser_arguments_inclure($p, true); 
		$code_contexte = argumenter_inclure($champ, $p->descr, $p->boucles, $p->id_boucle, false);
	} 
	else
	{
		$code_contexte = argumenter_inclure($p->param, true, $p->descr, $p->boucles, $p->id_boucle, false);
	} 
	// Reserver la cle primaire de la boucle courante
	if ($primary = $p->boucles[$p->id_boucle]->primary) {
		$id = champ_sql($primary, $p);
		$code_contexte[] = "'$primary='.".$id;
	}
	
	$p->code = "( ((\$recurs=(isset(\$Pile[0]['recurs'])?\$Pile[0]['recurs']:0))<5)?
	recuperer_fond('modeles/fpp2" . $ext ."',
		creer_contexte_de_modele(array(".join(',', $code_contexte).",'recurs='.(++\$recurs), \$GLOBALS['spip_lang']))):'')";
	
	$p->interdire_scripts = false;
	return $p;
}
 
function balise_FPP2STD($p) {
	return getBalise($p,'std');
}

function balise_FPP2SWF($p) {
	return getBalise($p,'swf');	
}


function balise_CHEMINPLUGINFPP($p) {
	$searchFile = interprete_argument_balise (1, $p);
	$p->code = "get_cheminPluginFpp($searchFile)";
	return $p;
}

function get_cheminPluginFpp($file="") {
	return find_in_path(_DIR_PLUGIN_FREEPAPER2 . $file);	
}



?>
